LocalSource (The Data transfer common objects 2.0.0-3.7.0 API)
Date: 2015-05-19

org.gcube.datatransfer.common.objs

## Class LocalSource

- java.lang.Object
- - org.gcube.datatransfer.common.objs.LocalSource

- All Implemented Interfaces:
    Serializable

      public class LocalSource
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `directory`
    `String` | `path`
    `long` | `size`
    `String` | `vfsRoot`
    `protected static com.thoughtworks.xstream.XStream` | `xstream`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPath()`
    `long` | `getSize()`
    `String` | `getVfsRoot()`
    `boolean` | `isDirectory()`
    `void` | `setDirectory(boolean directory)`
    `void` | `setPath(String path)`
    `void` | `setSize(long size)`
    `void` | `setVfsRoot(String vfsRoot)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### xstream

          protected static com.thoughtworks.xstream.XStream xstream

    - #### path

          public String path

    - #### vfsRoot

          public String vfsRoot

    - #### size

          public long size

    - #### directory

          public boolean directory

  - ### Constructor Detail

    - #### LocalSource

          public LocalSource()

  - ### Method Detail

    - #### getPath

          public String getPath()

    - #### getSize

          public long getSize()

    - #### setPath

          public void setPath(String path)

    - #### setSize

          public void setSize(long size)

    - #### isDirectory

          public boolean isDirectory()

    - #### setDirectory

          public void setDirectory(boolean directory)

    - #### getVfsRoot

          public String getVfsRoot()

    - #### setVfsRoot

          public void setVfsRoot(String vfsRoot)

Copyright © 2015. All Rights Reserved.